/*
 * Copyright 2006-2007 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openspaces.maven.plugin;


import org.apache.maven.plugin.MojoExecutionException;

import org.apache.maven.plugins.annotations.LifecyclePhase;
import org.apache.maven.plugins.annotations.Mojo;
import org.codehaus.plexus.util.FileUtils;

import java.io.File;

import java.io.IOException;


/**
 * Goal that creates run configurations for intellij
 */
@Mojo(name = "intellij", threadSafe = true, requiresProject = false)
public class CreateRunConfigurationMojo extends AbstractOpenSpacesMojo {


    public void executeMojo() throws MojoExecutionException {

        try {
            FileUtils.copyDirectory(new File(System.getProperty("user.dir") + "/runConfigurations"), new File(System.getProperty("user.dir") + "/.idea/runConfigurations"));
            org.openspaces.core.util.FileUtils.deleteFileOrDirectory(new File(System.getProperty("user.dir") + "/runConfigurations"));
        } catch (IOException e) {
            throw new MojoExecutionException("Failed to create run configuration", e);
        }


    }
}
